var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Ellipsis } from '@teambit/design.ui.styles.ellipsis';
import classNames from 'classnames';
import * as semver from 'semver';
import { Icon } from '@teambit/evangelist.elements.icon';
import { TimeAgo } from '@teambit/design.ui.time-ago';
import { UserAvatar } from '@teambit/design.ui.avatar';
import { WordSkeleton } from '@teambit/base-ui.loaders.skeleton';
import styles from './version-dropdown-placeholder.module.scss';
export function SimpleVersion(_a) {
    var { currentVersion, className, disabled, hasMoreVersions, isTag = (version) => semver.valid(version) !== null, 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    useCurrentVersionLog, showFullVersion, loading } = _a, rest = __rest(_a, ["currentVersion", "className", "disabled", "hasMoreVersions", "isTag", "useCurrentVersionLog", "showFullVersion", "loading"]);
    if (loading)
        return React.createElement(WordSkeleton, { className: styles.loader, length: 9 });
    const formattedVersion = showFullVersion || isTag(currentVersion) ? currentVersion : currentVersion === null || currentVersion === void 0 ? void 0 : currentVersion.slice(0, 6);
    return (React.createElement("div", Object.assign({}, rest, { className: classNames(styles.simple, className, disabled && styles.disabled) }),
        React.createElement(Ellipsis, { className: classNames(styles.versionName), onClick: rest.onClick }, formattedVersion),
        hasMoreVersions && React.createElement(Icon, { of: "fat-arrow-down", onClick: rest.onClick })));
}
export function DetailedVersion(_a) {
    var { currentVersion, className, disabled, hasMoreVersions, isTag = (version) => semver.valid(version) !== null, loading, useCurrentVersionLog, showFullVersion } = _a, rest = __rest(_a, ["currentVersion", "className", "disabled", "hasMoreVersions", "isTag", "loading", "useCurrentVersionLog", "showFullVersion"]);
    const currentVersionLog = useCurrentVersionLog === null || useCurrentVersionLog === void 0 ? void 0 : useCurrentVersionLog({ skip: loading, version: currentVersion });
    const { displayName, message, username, email, date: _date, profileImage } = currentVersionLog || {};
    const author = React.useMemo(() => {
        return {
            displayName: displayName !== null && displayName !== void 0 ? displayName : '',
            email,
            name: username !== null && username !== void 0 ? username : '',
            profileImage,
        };
    }, [displayName, email, username, profileImage]);
    const formattedVersion = showFullVersion || isTag(currentVersion) ? currentVersion : currentVersion === null || currentVersion === void 0 ? void 0 : currentVersion.slice(0, 6);
    const date = _date ? new Date(+_date) : undefined;
    const timestamp = React.useMemo(() => (date ? new Date(+date).toString() : new Date().toString()), [date]);
    if (loading)
        return React.createElement(WordSkeleton, { className: styles.loader, length: 9 });
    return (React.createElement("div", Object.assign({}, rest, { className: classNames(styles.detailed, className, disabled && styles.disabled) }),
        React.createElement(UserAvatar, { size: 24, account: author !== null && author !== void 0 ? author : {}, className: styles.versionUserAvatar, showTooltip: true, onClick: rest.onClick }),
        React.createElement(Ellipsis, { className: classNames(styles.versionName), onClick: rest.onClick }, formattedVersion),
        commitMessage(message, rest.onClick),
        React.createElement(Ellipsis, { className: styles.versionTimestamp, onClick: rest.onClick },
            React.createElement(TimeAgo, { date: timestamp, onClick: rest.onClick })),
        hasMoreVersions && React.createElement(Icon, { of: "fat-arrow-down", onClick: rest.onClick })));
}
function commitMessage(message, onClick) {
    if (!message || message === '')
        return (React.createElement(Ellipsis, { className: styles.emptyMessage, onClick: onClick }, "No commit message"));
    return (React.createElement(Ellipsis, { className: styles.commitMessage, onClick: onClick }, message));
}
//# sourceMappingURL=version-dropdown-placeholder.js.map