import React from 'react';
import { MemoryRouter } from 'react-router-dom';
import { ThemeCompositions } from '@teambit/documenter.theme.theme-compositions';
import { VersionDropdown } from './version-dropdown';
const style = { display: 'flex', justifyContent: 'center', alignContent: 'center' };
export const VersionDropdownWithOneVersion = () => {
    return (React.createElement(ThemeCompositions, { style: style },
        React.createElement(VersionDropdown, { useComponentVersions: () => ({
                tags: [{ version: '0.1' }],
            }), currentVersion: "0.1" })));
};
export const VersionDropdownWithMultipleVersions = () => {
    const versions = ['0.3', '0.2', '0.1'].map((version) => ({ version }));
    return (React.createElement(ThemeCompositions, { style: style },
        React.createElement(MemoryRouter, null,
            React.createElement(VersionDropdown, { useComponentVersions: () => ({
                    tags: [{ version: '0.1' }],
                }), currentVersion: versions[0].version }))));
};
//# sourceMappingURL=version-dropdown.composition.js.map